import 'package:at_client/at_client.dart';
import 'package:at_client/src/manager/at_client_manager.dart';
import 'package:at_persistence_secondary_server/at_persistence_secondary_server.dart';
import 'package:at_utils/at_logger.dart';

import 'test_util.dart';

void main() async {
  try {
    AtSignLogger.root_level = 'finer';
    final atSign = '@murali';
    var atClientManager = await AtClientManager.getInstance()
        .setCurrentAtSign(atSign, 'wavi', TestUtil.getMuraliPreference());

    // await atClientManager.atClient.delete(AtKey()
    //   ..key = 'phone'
    //   ..namespace = 'wavi'
    //   ..sharedBy = '@sitaram'
    //   ..sharedWith = '@murali'
    //   ..metadata = (Metadata()..isCached = true));

    var result = await atClientManager.atClient.getKeys();
    for (var key in result) {
      print(key.toString());
    }
  } on Exception catch (e, trace) {
    print(e.toString());
    print(trace);
  }
}
