import 'package:at_client/at_client.dart';

import 'test_util.dart';

void main() async {
  var atSign = '@sitaram';
  var namespace = 'wavi';
  var preferences = TestUtil.getSitaramPreference();
  AtClientManager atClientManager = await AtClientManager.getInstance()
      .setCurrentAtSign(atSign, namespace, preferences);
  var atClient = AtClientManager.getInstance().atClient;
  var syncService = AtClientManager.getInstance().syncService;
  var counter = 0;
  while (true) {
    print('Current atSign: ${atClient.getCurrentAtSign()}');
    var putResponse =
        await atClient.put(AtKey()..key = 'key-$counter', 'value-$counter');
    syncService.sync();
    var putResponse_1 = await AtClientManager.getInstance()
        .atClient
        .put(AtKey()..key = 'key_1-$counter', 'value_1-$counter');
    AtClientManager.getInstance().syncService.sync();
    print('put response : $putResponse');
    print('put response 1 : $putResponse_1');
    await Future.delayed(Duration(seconds: 5));
    counter++;
    if (counter == 5) {
      await AtClientManager.getInstance()
          .setCurrentAtSign('@murali', 'wavi', TestUtil.getMuraliPreference());
      await AtClientManager.getInstance()
          .setCurrentAtSign(atSign, namespace, preferences);
    }
  }
}
